# Create Account User

Launch stage: GA

`POST /api/2.0/accounts/{account_id}/scim/v2/Users`

Creates a new user in the <Databricks> account. This new user will also be added to the <Databricks> account.

API scopes: scim

## Path parameters

- `account_id` (string, optional)
  <Databricks> account ID

## Request body

- `active` (boolean, optional)
  If this user is active
- `displayName` (string, optional)
  String that represents a concatenation of given and family names. For example `John Smith`.
- `emails` (array of object, optional)
  All the emails associated with the <Databricks> user.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `externalId` (string, optional)
  External ID is not currently supported. It is reserved for future use.
- `id` (string, optional)
  <Databricks> user ID.
- `name` (object, optional)
  - `familyName` (string, optional)
    Family name of the <Databricks> user.
  - `givenName` (string, optional)
    Given name of the <Databricks> user.
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `userName` (string, optional)
  Email address of the <Databricks> user.

## Returns

- `active` (boolean, optional)
  If this user is active
- `displayName` (string, optional)
  String that represents a concatenation of given and family names. For example `John Smith`.
- `emails` (array of object, optional)
  All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `externalId` (string, optional)
  External ID is not currently supported. It is reserved for future use.
  Constraints: `<= 64 characters`
- `id` (string, optional)
  <Databricks> user ID.
- `name` (object, optional)
  - `familyName` (string, optional)
    Family name of the <Databricks> user.
  - `givenName` (string, optional)
    Given name of the <Databricks> user.
- `roles` (array of object, optional)
  Indicates if the group has the admin role.
  - `display` (string, optional)
  - `primary` (boolean, optional)
  - `$ref` (string, optional)
  - `type` (string, optional)
  - `value` (string, optional)
- `userName` (string, optional)
  Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.
- `account_id` (string, optional)
  <Databricks> account ID

## Response

```json
{
  "active": true,
  "displayName": "string",
  "emails": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "externalId": "string",
  "id": "string",
  "name": {
    "familyName": "string",
    "givenName": "string"
  },
  "roles": [
    {
      "display": "string",
      "primary": true,
      "$ref": "string",
      "type": "string",
      "value": "string"
    }
  ],
  "userName": "string",
  "account_id": "string"
}
```

